# Recipes

Collections of items and recipes, with quantities, that are used to create other items.

## Adds an Image as an Attached File to a recipe

User's client MUST be 366+ with cloud storage enabled

 - [POST /recipes/{recipeId}/images](https://developer.yellowdogsoftware.com/rest/fetch/api/recipes/post-recipes-images.md): #### Permission Requirements
- Permission Path: Recipes > Recipe Editor > Pictures and Links Tabs (editor access required)

## Updates image details of a recipe

 - [PATCH /recipes/{recipeId}/images/{imageId}](https://developer.yellowdogsoftware.com/rest/fetch/api/recipes/op-recipes-images-byid.md): #### Permission Requirements
- Permission Path: Recipes > Recipe Editor > Pictures and Links Tabs (editor access required)

## Deletes a recipe's image

 - [DELETE /recipes/{recipeId}/images/{imageId}](https://developer.yellowdogsoftware.com/rest/fetch/api/recipes/delete-recipes-images-byid.md): #### Permission Requirements
- Permission Path: Recipes > Recipe Editor > Pictures and Links Tabs (editor access required)

## Gets Recipes

 - [GET /recipes](https://developer.yellowdogsoftware.com/rest/fetch/api/recipes/get-recipes.md): This endpoint only returns the list of Recipes, without Ingredients, AttachedFiles, and Links.
If the ingredients are needed, then make an another API call to GET Recipe By ID with the Expand=Ingredients option.
If the attached files are needed, then make an another API call to GET Recipe By ID with the Expand=AttachedFiles option.
If the links are needed, then make an another API call to GET Recipe By ID with the Expand=Links option.
Multiple expand options can be used. For example: /recipes/:id?Expand=Ingredients&Expand=AttachedFiles&Expand=Links

## Gets a Recipe By ID

 - [GET /recipes/{recipeId}](https://developer.yellowdogsoftware.com/rest/fetch/api/recipes/get-recipes-byid.md)

